Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.creator
Class JenaCreator

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.creator.JenaCreator

    public class JenaCreator

extends Object

A class that creates a Jena OntModel from a Protege OWL model. The resulting OntModel can then be used in Jena services such as for reasoning.

Author:
  Holger Knublauch

Constructor Summary
`JenaCreator(OWLModel owlModel, boolean forReasoning, boolean inferred, Collection targetClses, ProgressDisplay progressDisplay)`
`JenaCreator(OWLModel owlModel, boolean forReasoning, Collection targetClses, ProgressDisplay progressDisplay)`
`JenaCreator(OWLModel owlModel, Collection targetClses, ProgressDisplay progressDisplay)`

Method Summary
`void` | `addIgnoreImport(String uri)`
`protected void` | `addSuperclasses(RDFSNamedClass rdfsClass, com.hp.hpl.jena.ontology.OntClass ontClass)`
`protected void` | `createAdditionalAnonymousSuperclassesOfIncludedClass(OWLNamedClass namedCls)`
`static com.hp.hpl.jena.ontology.DataRange` | `createDataRange(OWLDataRange dataRange, com.hp.hpl.jena.ontology.OntModel ontModel)`
`com.hp.hpl.jena.ontology.OntModel` | `createOntModel()`
`com.hp.hpl.jena.ontology.OntModel` | `createOntModel(com.hp.hpl.jena.ontology.OntModelSpec ontModelSpec)`
`com.hp.hpl.jena.ontology.OntModel` | `createOntModelWithoutOWLFullModel()`
`protected com.hp.hpl.jena.ontology.OntClass` | `getOntClass(RDFSClass rdfsClass)`
`com.hp.hpl.jena.ontology.OntModel` | `getOntModel()`
`com.hp.hpl.jena.rdf.model.Model` | `getOWLFullModel()`
`boolean` | `getProcessImports()`
`Set<String>` | `listIgnoreImports()`
`void` | `removeIgnoreImport(String uri)`
`void` | `run(com.hp.hpl.jena.ontology.OntModel ontModel, com.hp.hpl.jena.rdf.model.Model owlFullModel)`
`void` | `setProcessImports(boolean processImports)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JenaCreator

    public JenaCreator(OWLModel owlModel,
                       Collection targetClses,
                       ProgressDisplay progressDisplay)

### JenaCreator

    public JenaCreator(OWLModel owlModel,
                       boolean forReasoning,
                       Collection targetClses,
                       ProgressDisplay progressDisplay)

### JenaCreator

    public JenaCreator(OWLModel owlModel,
                       boolean forReasoning,
                       boolean inferred,
                       Collection targetClses,
                       ProgressDisplay progressDisplay)

Method Detail

### getProcessImports

    public boolean getProcessImports()

### setProcessImports

    public void setProcessImports(boolean processImports)

### addIgnoreImport

    public void addIgnoreImport(String uri)

### removeIgnoreImport

    public void removeIgnoreImport(String uri)

### listIgnoreImports

    public Set<String> listIgnoreImports()

### addSuperclasses

    protected void addSuperclasses(RDFSNamedClass rdfsClass,
                                   com.hp.hpl.jena.ontology.OntClass ontClass)

### createAdditionalAnonymousSuperclassesOfIncludedClass

    protected void createAdditionalAnonymousSuperclassesOfIncludedClass(OWLNamedClass namedCls)

### createDataRange

    public static com.hp.hpl.jena.ontology.DataRange createDataRange(OWLDataRange dataRange,
                                                                     com.hp.hpl.jena.ontology.OntModel ontModel)

### createOntModel

    public com.hp.hpl.jena.ontology.OntModel createOntModel()

### createOntModel

    public com.hp.hpl.jena.ontology.OntModel createOntModel(com.hp.hpl.jena.ontology.OntModelSpec ontModelSpec)

### createOntModelWithoutOWLFullModel

    public com.hp.hpl.jena.ontology.OntModel createOntModelWithoutOWLFullModel()

### getOntClass

    protected com.hp.hpl.jena.ontology.OntClass getOntClass(RDFSClass rdfsClass)

### getOntModel

    public com.hp.hpl.jena.ontology.OntModel getOntModel()

### getOWLFullModel

    public com.hp.hpl.jena.rdf.model.Model getOWLFullModel()

### run

    public void run(com.hp.hpl.jena.ontology.OntModel ontModel,
                    com.hp.hpl.jena.rdf.model.Model owlFullModel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.